Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class APCParameters 'Agricultural Production Contracts paraméterek
    Inherits BaseObject

    Private _CustomersFrom As CustomersFrom
    Private _ShortName As String
    Private _NumberGenerator As NumberGenerator
    Private _ReportData As ReportData 'Termeltetési adatlap nyomtatvány
    Private _ReportDataReviewSheet As ReportData 'Betakarítás előtti szemle nyomtatvány
    Private _InterestValue As Double 'Kamat % 15,6 !!!
    Private _NumberGenaratorSalesPolicy As NumberGenerator 'Értékesítési nyilatkozat sorszámok (APCSheetByProductsSalesPolicyH)
    Private _ReportDataSalesPolicy As ReportData

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("APCParameters - CustomersFrom", DefaultContexts.Save)> _
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    <RuleRequiredField("APCParameters - ShortName", DefaultContexts.Save)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <RuleRequiredField("APCParameters - NumberGenerator", DefaultContexts.Save)> _
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    <RuleRequiredField("APCParameters - ReportData", DefaultContexts.Save)> _
    Property ReportData As ReportData
        Get
            Return _ReportData
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData", _ReportData, value)
        End Set
    End Property
    Property ReportDataReviewSheet As ReportData
        Get
            Return _ReportDataReviewSheet
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportDataReviewSheet", _ReportDataReviewSheet, value)
        End Set
    End Property
    Property InterestValue As Double
        Get
            Return _InterestValue
        End Get
        Set(value As Double)
            SetPropertyValue("InterestValue", _InterestValue, value)
        End Set
    End Property
    Property NumberGenaratorSalesPolicy As NumberGenerator
        Get
            Return _NumberGenaratorSalesPolicy
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenaratorSalesPolicy", _NumberGenaratorSalesPolicy, value)
        End Set
    End Property
    Property ReportDataSalesPolicy As ReportData
        Get
            Return _ReportDataSalesPolicy
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportDataSalesPolicy", _ReportDataSalesPolicy, value)
        End Set
    End Property
End Class
